### Method

# Json Node dup_array

#### Declaration [src]

    JsonArray*
    json_node_dup_array (
      JsonNode* node
    )

#### Description [src]

Retrieves the JSON array inside `node`.

The reference count of the returned array is increased.

It is a programmer error to call this on a node which doesn’t hold an array value. Use `JSON_NODE_HOLDS_ARRAY` first.

#### Return value

Type: `JsonArray`

The JSON array with its reference count increased.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.